#!/bin/bash

oalist_files=`find archives -name "openannotation-list*.json" -print`


echo ""
echo "Deleting any existing IDs"
for oalist_file in $oalist_files ; do        
    echo "  $oalist_file"

    oal_resource_ids=`./oalist-resoure-ids.py $oalist_file`

    for oal_resource_id in $oal_resource_ids ; do
	echo "    $oal_resource_id"
	./DELETE-OPENANNOTATION-LIST.sh $oal_resource_id	
    done
		  
done

echo "Done deleting any previous existing IDs ... moving on to submitting annotation IDs"
sleep 2


echo ""
echo "Populating with new versions of OpenAnnotation-List JSON files"

for oalist_file in $oalist_files ; do
    echo $oalist_file
    ./SUBMIT-OPENANNOTATION-LIST.sh $oalist_file
done


