#!/usr/bin/env python3

import sys
import json


argc = len(sys.argv)
progname = sys.argv[0]

ids = []

for i in range(1, argc):
    json_ifilename = sys.argv[i]
    
    with open(json_ifilename, encoding='utf-8') as fh:
        oalist = json.load(fh)

    resources = oalist['resources']

    for resource in resources:
        ids.append(resource['@id'])
                   

        
for id in ids:
    print(id)
    
                   
                   


